Summary:	PostgreSQL driver and tools library
Name:		python3-py-postgresql
Version:	1.0.4
Release:	4
License:	BSD
Group:		Development/Languages/Python
Source0:	http://python.projects.postgresql.org/files/py-postgresql-%{version}.tar.gz
# Source0-md5:	4b0e06a03c2d2ad3aae9100871f83e45
URL:		http://python.projects.postgresql.org/
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq  python3-modules
Requires:	python3-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
py-postgresql is a set of Python modules providing interfaces to
various parts of PostgreSQL. Notably, it provides a pure-Python driver
+ C optimizations for querying a PostgreSQL database.

%prep
%setup -q -n py-postgresql-%{version}

%build
python3 -- setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python3 -- setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py3_sitedir}/postgresql
%{py3_sitedir}/*.egg-info
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-py-postgresql.git;a=log;h=master

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f65c98e
- python 3.4
- release 4 (by relup.sh)

* Sun Jul 07 2013 Elan Ruusamäe <glen@delfi.ee> 7c8d83e
- rebuild without py2 specific pythonegg() provides
- release 3 (by relup.sh)

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> da8c319
- release 2 (by relup.sh)

* Tue Jul 17 2012 Artur Frysiak <artur@frysiak.net> 6d37c92
- Up to 1.0.4

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> aa79c4d
- no %py3_postclean
- Release: 2

* Mon Sep 20 2010 Artur Frysiak <artur@frysiak.net> 94f88cc
- 1.0.2

* Thu May 13 2010 sparky <sparky@pld-linux.org> eeeacf8
- BR: python3-modules, rpm-pythonprov

* Tue Mar 30 2010 Artur Frysiak <artur@frysiak.net> c66abe0
- up to 1.0.0

* Sun Oct 11 2009 Artur Frysiak <artur@frysiak.net> 67d359e
- updated to 0.9.1

* Sat Aug 01 2009 Artur Frysiak <artur@frysiak.net> c4c46dd
- rel. 1

* Sat Aug 01 2009 Artur Frysiak <artur@frysiak.net> 99b3866
- initial

